package com.example.tdl.util;


import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMessage.RecipientType;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

public class MailUtil {
	
	public static void sendMail(List<String> toAddressStr, String subject, String text) throws Exception{
		
		//设置发送邮件需要的属性
		Properties props = new Properties();
		//主机地址
		props.put("mail.smtp.host", "smtp.qiye.163.com");
		//是否打开验证:必须打开
		props.put("mail.smtp.auth", "true");

		props.put("mail.smtp.socketFactory.class","javax.net.ssl.SSLSocketFactory");
		props.setProperty("mail.smtp.socketFactory.fallback","false");
		props.setProperty("mail.smtp.port","465");
        props.setProperty("mail.smtp.socketFactory.port","465");

		//取的与邮件服务器连接
		Session session = Session.getDefaultInstance(props);
		//创建一封邮件
		MimeMessage mimeMessage = new MimeMessage(session);
		//设置发送地址
		InternetAddress fromAddress = new InternetAddress("postmaster@witium.com");
		mimeMessage.setFrom(fromAddress);
		//设置接收地址(多个)
		InternetAddress[] address = new InternetAddress[toAddressStr.size()];
		for(int i = 0;i<toAddressStr.size();i++){
			address[i] = new InternetAddress(toAddressStr.get(i)) ;
		}
		//第一个参数：to,发送 ; cc,抄送 ; bcc,暗送
		//第二个参数：接收者的地址
		mimeMessage.setRecipients(RecipientType.TO, address);
		//设置标题
		mimeMessage.setSubject(subject, "UTF-8");
		//设置正文
		mimeMessage.setContent(text,"text/html;charset=utf-8");
		
		//发送:坐火箭
		Transport transport = session.getTransport("smtp");
		
		transport.connect("postmaster@witium.com", "dJZU4LXZtpRc1Ybz");
		//第一个参数：邮件
		//第二个参数：接收地址
		transport.sendMessage(mimeMessage, mimeMessage.getAllRecipients());

		//关闭
		transport.close();
		System.out.println("ok");
	}


}
